#!/bin/sh
#
# PROVIDE: daedalus
# REQUIRE: DAEMON
# KEYWORD: FreeBSD
#
# Add the following line to /etc/rc.conf to enable daedalus:
# daedalus_enable (bool):      Set to "NO" by default.
#                             Set it to "YES" to enable daedalus
# daedalus_flags (str):        Set to "-C -c /usr/local/etc/daedalus.conf" by default.
#                             Extra flags passed to start command
#
. /usr/local/etc/rc.subr

name="daedalus"
rcvar=`set_rcvar`

command="/usr/local/bin/daedalus.rb"
pidfile="/var/run/daedalus.pid"
command_interpreter="/usr/local/bin/ruby"
required_files=/usr/local/etc/daedalus.conf

[ -z "$daedalus_enable" ]       && daedalus_enable="NO"
[ -z "$daedalus_flags" ]        && daedalus_flags="-C -c /usr/local/etc/daedalus.conf"

load_rc_config $name

sig_stop=-TERM

extra_commands="reload"
run_rc_command "$1"
